%define anolis_release 3

Name:		libdlb
Version:	7.7.0
Release:	%{anolis_release}%{?dist}
Summary:	intel dynamic load balancer
License:	BSD-3-Clause and GPL-2.0
URL:		https://www.intel.com/content/www/us/en/download/686372/734482/intel-dynamic-load-balancer.html
Source0:	https://downloadmirror.intel.com/734482/dlb_linux_src_release_7.7.0_2022_06_17.txz

ExclusiveArch:  x86_64

%description
The Intel® Dynamic Load Balancer (Intel® DLB) is a PCIe device that provides loadbalanced
, prioritized scheduling of events (that is, packets) across CPU cores enabling
efficient core-to-core communication as discussed in this White Paper. It is a hardware
accelerator located inside the latest Intel® Xeon® devices offered by Intel. It supports
the event-driven programming model of DPDK's Event Device Library. This library is
used in packet processing pipelines for multi-core scalability, dynamic load-balancing,
and variety of packet distribution and synchronization sche

%package devel
Summary:        Documentation files for %{name}
Requires:       %{name} = %{version}-%{release}

%description    devel
The %{name}-devel package contains header files for %{name}.

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{version}-%{release}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%autosetup -n dlb -p1

%build
pushd libdlb
make
popd

%install
mkdir -p %{buildroot}/%{_bindir}
mkdir -p %{buildroot}%{_libdir}
mkdir -p %{buildroot}%{_includedir}
pushd libdlb
for bin in dlb_monitor_sec dump_dlb_regs open_dlb ; do
  cp -r cli/${bin} %{buildroot}/%{_bindir}/${bin}
done

cp -r libdlb.so %{buildroot}%{_libdir}
cp *.h %{buildroot}%{_includedir}
popd

%files
%license libdlb/license/BSD-3-Clause libdlb/license/GPL-2.0 libdlb/license/Linux-syscall-note
%{_bindir}/dlb_monitor_sec
%{_bindir}/dump_dlb_regs
%{_bindir}/open_dlb
%{_libdir}/libdlb.so

%files devel
%doc libdlb/examples
%{_includedir}/*.h

%files doc
%doc libdlb/doc/Doxyfile 

%changelog
* Wed Nov 29 2023 happy_orange <songnannan@linux.alibaba.com> - 7.7.0-3
- rebuild libdlb 

* Mon Sep 04 2023 Guanjun <Guanjun@linux.alibaba.com> - 7.7.0-2
- rebuild libdlb 

* Wed Feb 22 2023 happy_orange <songnannan@linux.alibaba.com> - 7.7.0-1
- init package

